export default async function loginGuard(self, page, session) {
    if (_shouldLogin(session, page)) _redirectLogin(self);
}

function _shouldLogin(session, page) {
    const { user } = session;
    return !user && !_isIndex(page);
}

function _isIndex(page) {
    return page.path === '/';
}

function _redirectLogin(self) {
    self.redirect(301, '/');
}